package com.zbf.system.domain;

import com.zbf.common.core.domain.BaseEntity;

/**
 * 仓库对象 t_base_storage
 *
 * @author tony
 * @date 2024-06-16
 */
public class TBaseStorageLocationRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 仓库编号
     */
    private String storageId;

    /**
     * 仓库名称
     */
    private String storageName;

    /**
     * 库区编号
     */
    private String storageAreaId;

    /**
     * 库区名称
     */
    private String storageAreaName;

    private String storageShortName;

    /**
     * 虚拟库位
     */
    private String fictitious;

    public String getFictitious() {
        return fictitious;
    }

    public void setFictitious(String fictitious) {
        this.fictitious = fictitious;
    }

    /**
     * 库位编号
     */
    private String locationId;
    private Long deptId;


    public String getStorageShortName() {
        return storageShortName;
    }

    public void setStorageShortName(String storageShortName) {
        this.storageShortName = storageShortName;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public static long getSerialversionuid() {
        return serialVersionUID;
    }

    public String getStorageId() {
        return storageId;
    }

    public void setStorageId(String storageId) {
        this.storageId = storageId;
    }

    public String getStorageName() {
        return storageName;
    }

    public void setStorageName(String storageName) {
        this.storageName = storageName;
    }

    public String getStorageAreaId() {
        return storageAreaId;
    }

    public void setStorageAreaId(String storageAreaId) {
        this.storageAreaId = storageAreaId;
    }

    public String getStorageAreaName() {
        return storageAreaName;
    }

    public void setStorageAreaName(String storageAreaName) {
        this.storageAreaName = storageAreaName;
    }

    public String getLocationId() {
        return locationId;
    }

    public void setLocationId(String locationId) {
        this.locationId = locationId;
    }


}


















